import Contact from '../../src/pages/Contact/Contact';
import React from 'react';
import renderer from 'react-test-renderer';
import { render, fireEvent } from '@testing-library/react-native';
jest.mock('react-native/Libraries/Animated/src/NativeAnimatedHelper');

describe('contact tests', () => {
	//Workaround para ocultar os warnings dos styled components
	//esses warnings ocorrem na conversão de um componente para json (chamada toJSON)
	//alguns componentes são definidos sem nome, resultando em um json definido pelo nome "0"("ilegal").

	console.error = jest.fn()

	it('rendering', () => {
		const rendered = renderer.create(<Contact></Contact>).toJSON();
		expect(rendered).toBeTruthy();
		expect(rendered).toMatchSnapshot();
	});
});

describe("button clicks", () => {

	it('should send message on button click', () => {
		const page = render(<Contact></Contact>);
		fireEvent(page.getAllByTestId("btnSendMessage")[0], "onPress")
	});
});
