import { fireEvent, render } from '@testing-library/react-native';
import React from 'react';
import renderer from 'react-test-renderer';
import SelectDatePicker from '../../src/components/SelectDatePicker/SelectDatePicker';

describe('SelectDatePicker tests', () => {
	it('should render SelectDatePicker successfully', () => {
		const rendered = renderer.create(
			<SelectDatePicker
				onChange={() => { }}
				onPress={()=>{}}
				opened={false}
				placeholder="Teste picker"
				selectedDate={new Date()}
				showPlaceholder={false}
			/>
		)

		expect(rendered).toBeTruthy()
		expect(rendered).toMatchSnapshot()
	});
});
